# generated by cabal-rpm-1.0.3
# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name xdg-userdirs
%global pkgver %{pkg_name}-%{version}

%global _devel -%{?ghc_devel_prof}%{!?ghc_devel_prof:devel}

Name:           ghc-%{pkg_name}
Version:        0.1.0.2
Release:        3%{?dist}
Summary:        Basic implementation of XDG user directories specification

License:        BSD
Url:            https://hackage.haskell.org/package/%{pkg_name}
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz
# End cabal-rpm sources

# Begin cabal-rpm deps:
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-base%{_devel}
BuildRequires:  ghc-containers%{_devel}
BuildRequires:  ghc-directory%{_devel}
BuildRequires:  ghc-filepath%{_devel}
BuildRequires:  ghc-xdg-basedir%{_devel}
# End cabal-rpm deps

%description
On Unix platforms, this should be a very straightforward implementation of the
XDG User Directory spec. On Windows, it will attempt to do the right thing with
regards to choosing appropriate directories.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-static%{?_isa} = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
%endif
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%if %{with haddock}
%package doc
Summary:        Haskell %{pkg_name} library documentation
BuildArch:      noarch

%description doc
This package provides the Haskell %{pkg_name} library documentation.
%endif


%if %{with ghc_prof}
%package prof
Summary:        Haskell %{pkg_name} profiling library
Requires:       %{name}-devel%{?_isa} = %{version}-%{release}
Supplements:    (%{name}-devel and ghc-prof)

%description prof
This package provides the Haskell %{pkg_name} profiling library.
%endif


%prep
# Begin cabal-rpm setup:
%setup -q -n %{pkgver}
# End cabal-rpm setup


%build
# Begin cabal-rpm build:
%ghc_lib_build
# End cabal-rpm build


%install
# Begin cabal-rpm install
%ghc_lib_install
# End cabal-rpm install


%if 0%{?fedora} < 31 || 0%{?rhel} < 8
%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache
%endif


%files -f %{name}.files
# Begin cabal-rpm files:
%license LICENSE
# End cabal-rpm files


%files devel -f %{name}-devel.files


%if %{with haddock}
%files doc -f %{name}-doc.files
%license LICENSE
%endif


%if %{with ghc_prof}
%files prof -f %{name}-prof.files
%endif


%changelog
* Mon Dec 23 2019 Jens Petersen <petersen@redhat.com> - 0.1.0.2-3
- bring back scripts for ghc_pkg_recache

* Fri Sep 27 2019 Jens Petersen <petersen@redhat.com> - 0.1.0.2-2
- use ghc_devel_prof to handle devel/prof BR change across F30/F31

* Tue Sep  3 2019 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.1.0.2-1
- spec file generated by cabal-rpm-1.0.1
